gnokiid(8)

NAME
gnokiid - create a virtual modem for Nokia portable phones

SYNOPSIS
gnokiid gnokiid [--help|--version|--debug]

DESCRIPTION

gnokiid is a tool from the Gnokii tool suite used to create a virtual modem device with a Nokia portable telephone. The virtual modem device is usually accessed via a symbolic link called /dev/gnokii (created automatically by mgnokiidev(8)).

After gnokiid has created the virtual modem, it can be accessed like any other Hayes-compatible modem by such programs as the terminal program minicom(1) or the PPP daemon pppd(8) to make standard data connections to remote computers.

The full range of portable telephone functions (SMS messaging, phone book, operator logos, etc.) are accessed using the command-line program gnokii(1) or the graphical interface program xgnokii(1x).

Gnokii is a Linux/Unix tool suite and (eventually) modem/fax driver for Nokia mobile phones, released under the GPL.

Gnokii supports most phones from the 3810/8110 and 5110/6110 series, details including bugs specific to each series appear in the files Docs/README-3810 and Docs/README-6110 respectively.

OPTIONS

If called without any options, gnokiid will set up a virtual modem device using the settings in /etc/gnokiirc or in the user's ~/.gnokiirc (if it exists). Otherwise,

--help
    print out a short usage message

--version
    print out version, copyright, phone, and serial device info

--debug
    uses STDIN/STDOUT for a virtual modem

DIAGNOSTICS
Various error messages are printed to STDERR.

BUGS

Hmmm...

AUTHOR
Hugh Blemings <hugh@blemings.org> and Pavel Janik ml. <Pavel.Janik@suse.cz> are the authors of the Gnokii tool suite. This manual page was written by Erik Rossen <rossen@freesurf.ch>. See also Docs/CREDITS from the Gnokii sources.

COPYING
This program is distributed under the GNU Public License.

SEE ALSO
gnokii, xgnokii, mgnokiidev